## org.eclipse.emf.cdo.spi.common.revision
Class CDOIDMapper

    java.lang.Object
      org.eclipse.emf.cdo.spi.common.revision.CDOIDMapper

All Implemented Interfaces:
  CDOReferenceAdjuster

    public class CDOIDMapper

extends java.lang.Object
implements CDOReferenceAdjuster

Since:
  2.0

Constructor Summary
`CDOIDMapper(java.util.Map<CDOIDTemp,CDOID> idMappings)`

Method Summary
`java.lang.Object` `adjustReference(java.lang.Object value)` Adjusts the internal structure of an object (e.g: `CDORevision`).
`java.util.Map<CDOIDTemp,CDOID>` `getIDMappings()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CDOIDMapper

    public CDOIDMapper(java.util.Map<CDOIDTemp,CDOID> idMappings)

Method Detail

### getIDMappings

    public java.util.Map<CDOIDTemp,CDOID> getIDMappings()

### adjustReference

    public java.lang.Object adjustReference(java.lang.Object value)

  Description copied from interface: `CDOReferenceAdjuster`
  Adjusts the internal structure of an object (e.g: `CDORevision`). This is mainly used after committing a transaction. `CDORevision` must replace `CDOIDTemp` for non-temporary `CDOID` with a mapped ID. Only the internal structure knows how to do these modifications. This is important to consider using different implementation of `CDOList`.

  Specified by:
    `adjustReference` in interface `CDOReferenceAdjuster`

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.